# Class AddPersistableNetworkPayloadMessage

#### Hierarchy

- unknown
  - AddPersistableNetworkPayloadMessage

- Defined in src/protobuf/pb_pb.d.ts:891
- Defined in src/protobuf/pb_pb.d.ts:905

#####
Index

### Constructors

constructor

### Methods

clearPayload
getPayload
hasPayload
serializeBinary
setPayload
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AddPersistableNetworkPayloadMessage(): AddPersistableNetworkPayloadMessage

- #### Returns AddPersistableNetworkPayloadMessage

  Inherited from jspb.Message.constructor

## Methods

### clearPayload

- clearPayload(): AddPersistableNetworkPayloadMessage

- #### Returns AddPersistableNetworkPayloadMessage

  - Defined in src/protobuf/pb_pb.d.ts:895

### getPayload

- getPayload(): undefined | PersistableNetworkPayload

- #### Returns undefined | PersistableNetworkPayload

  - Defined in src/protobuf/pb_pb.d.ts:892

### hasPayload

- hasPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:894

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:897

### setPayload

- setPayload(value?: PersistableNetworkPayload): AddPersistableNetworkPayloadMessage

- #### Parameters

  - ##### `Optional` value: PersistableNetworkPayload

  #### Returns AddPersistableNetworkPayloadMessage

  - Defined in src/protobuf/pb_pb.d.ts:893

### toObject

- toObject(includeInstance?: boolean): AddPersistableNetworkPayloadMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AddPersistableNetworkPayloadMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:898

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddPersistableNetworkPayloadMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddPersistableNetworkPayloadMessage

  - Defined in src/protobuf/pb_pb.d.ts:901

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddPersistableNetworkPayloadMessage, reader: BinaryReader): AddPersistableNetworkPayloadMessage

- #### Parameters

  - ##### message: AddPersistableNetworkPayloadMessage

  - ##### reader: BinaryReader

  #### Returns AddPersistableNetworkPayloadMessage

  - Defined in src/protobuf/pb_pb.d.ts:902

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AddPersistableNetworkPayloadMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AddPersistableNetworkPayloadMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:900

### `Static` toObject

- toObject(includeInstance: boolean, msg: AddPersistableNetworkPayloadMessage): AddPersistableNetworkPayloadMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddPersistableNetworkPayloadMessage

  #### Returns AddPersistableNetworkPayloadMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:899

Generated using TypeDoc